ScriptLoader Class Reference

`#include <scriptloader.h>`

Inherits QObject.

## Public Slots

void | runAction ()
void | stopAction ()

## Signals

virtual void | errors (QString messages)
virtual void | output (QString messages)
virtual void | done (int errorCode)

## Public Member Functions

| ScriptLoader (KMainWindow *parent=0)
KSelectAction * | getScripts ()

## Detailed Description

Script loader.

Definition at line 29 of file scriptloader.h.

## Constructor & Destructor Documentation

ScriptLoader::ScriptLoader | ( | KMainWindow * | parent = `0` | ) |

Default Constructor.

Definition at line 36 of file scriptloader.cpp.

## Member Function Documentation

KSelectAction * ScriptLoader::getScripts | ( |  | ) |

Return the a KSelectAction with all of the scripts.

Returns
  KSelectAction containing access to all of the scripts

Definition at line 54 of file scriptloader.cpp.

void ScriptLoader::runAction | ( |  | ) |

slot

Run the current action.

Definition at line 93 of file scriptloader.cpp.

void ScriptLoader::stopAction | ( |  | ) |

slot

Stop the currently running scripts operations.

Definition at line 99 of file scriptloader.cpp.

The documentation for this class was generated from the following files:

- scriptloader.h
- scriptloader.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys